Index: code/trunk/src/orxonox/gamestates/GSClient.cc
===================================================================
--- code/branches/gui/src/orxonox/gamestates/GSClient.cc	(revision 1724)
+++ code/trunk/src/orxonox/gamestates/GSClient.cc	(revision 1755)
@@ -54,5 +54,5 @@
         int serverPort = CommandLine::getArgument<int>("port")->getValue();
         std::string serverIP = CommandLine::getArgument<std::string>("ip")->getValue();
-        this->client_ = network::Client::createSingleton(serverIP, serverPort);
+        this->client_ = new network::Client(serverIP, serverPort);
 
         if(!client_->establishConnection())
@@ -73,5 +73,6 @@
         client_->closeConnection();
 
-        // TODO: destroy client
+        // destroy client
+        delete this->client_;
 
         GSLevel::leave();
Index: code/trunk/src/orxonox/gamestates/GSDedicated.cc
===================================================================
--- code/branches/gui/src/orxonox/gamestates/GSDedicated.cc	(revision 1724)
+++ code/trunk/src/orxonox/gamestates/GSDedicated.cc	(revision 1755)
@@ -70,5 +70,5 @@
 
         int serverPort = CommandLine::getArgument<int>("port")->getValue();
-        this->server_ = network::Server::createSingleton(serverPort);
+        this->server_ = new network::Server(serverPort);
 
         // call the loader
@@ -82,5 +82,5 @@
         FunctorMember01<GSDedicated, float>* functor = createFunctor(&GSDedicated::setTimeFactor);
         functor->setObject(this);
-        CommandExecutor::addConsoleCommandShortcut(createConsoleCommand(functor, "setTimeFactor"));
+        CommandExecutor::addConsoleCommandShortcut(createConsoleCommand(functor, "setTimeFactor")).accessLevel(AccessLevel::Offline).defaultValue(0, 1.0);;
     }
 
@@ -93,5 +93,5 @@
 
         this->server_->close();
-        // TODO: destroy server
+        delete this->server_;
 
         Ogre::Root::getSingleton().destroySceneManager(this->sceneManager_);
@@ -103,8 +103,8 @@
     {
         // Call those objects that need the real time
-        for (Iterator<TickableReal> it = ObjectList<TickableReal>::start(); it; ++it)
+        for (ObjectList<TickableReal>::iterator it = ObjectList<TickableReal>::begin(); it; ++it)
             it->tick(time.getDeltaTime());
         // Call the scene objects
-        for (Iterator<Tickable> it = ObjectList<Tickable>::start(); it; ++it)
+        for (ObjectList<Tickable>::iterator it = ObjectList<Tickable>::begin(); it; ++it)
             it->tick(time.getDeltaTime() * this->timeFactor_);
 
Index: code/trunk/src/orxonox/gamestates/GSGraphics.cc
===================================================================
--- code/branches/gui/src/orxonox/gamestates/GSGraphics.cc	(revision 1724)
+++ code/trunk/src/orxonox/gamestates/GSGraphics.cc	(revision 1755)
@@ -40,5 +40,5 @@
 #include <OgreWindowEventUtilities.h>
 
-#include "core/Debug.h"
+#include "util/Debug.h"
 #include "core/ConsoleCommand.h"
 #include "core/ConfigValueIncludes.h"
@@ -308,5 +308,5 @@
     void GSGraphics::windowMoved(Ogre::RenderWindow *rw)
     {
-        for (Iterator<orxonox::WindowEventListener> it = ObjectList<orxonox::WindowEventListener>::start(); it; ++it)
+        for (ObjectList<orxonox::WindowEventListener>::iterator it = ObjectList<orxonox::WindowEventListener>::begin(); it; ++it)
             it->windowMoved();
     }
@@ -323,5 +323,5 @@
     void GSGraphics::windowResized(Ogre::RenderWindow *rw)
     {
-        for (Iterator<orxonox::WindowEventListener> it = ObjectList<orxonox::WindowEventListener>::start(); it; ++it)
+        for (ObjectList<orxonox::WindowEventListener>::iterator it = ObjectList<orxonox::WindowEventListener>::begin(); it; ++it)
             it->windowResized(this->renderWindow_->getWidth(), this->renderWindow_->getHeight());
     }
@@ -335,5 +335,5 @@
     void GSGraphics::windowFocusChanged(Ogre::RenderWindow *rw)
     {
-        for (Iterator<orxonox::WindowEventListener> it = ObjectList<orxonox::WindowEventListener>::start(); it; ++it)
+        for (ObjectList<orxonox::WindowEventListener>::iterator it = ObjectList<orxonox::WindowEventListener>::begin(); it; ++it)
             it->windowFocusChanged();
     }
Index: code/trunk/src/orxonox/gamestates/GSLevel.cc
===================================================================
--- code/branches/gui/src/orxonox/gamestates/GSLevel.cc	(revision 1724)
+++ code/trunk/src/orxonox/gamestates/GSLevel.cc	(revision 1755)
@@ -86,4 +86,7 @@
         // reset game speed to normal
         timeFactor_ = 1.0f;
+
+        // TODO: insert slomo console command with
+        // .accessLevel(AccessLevel::Offline).defaultValue(0, 1.0).axisParamIndex(0).isAxisRelative(false);
     }
 
@@ -111,11 +114,11 @@
     {
         // Call those objects that need the real time
-        for (Iterator<TickableReal> it = ObjectList<TickableReal>::start(); it; ++it)
+        for (ObjectList<TickableReal>::iterator it = ObjectList<TickableReal>::begin(); it; ++it)
             it->tick(time.getDeltaTime());
         // Call the scene objects
-        for (Iterator<Tickable> it = ObjectList<Tickable>::start(); it; ++it)
+        for (ObjectList<Tickable>::iterator it = ObjectList<Tickable>::begin(); it; ++it)
             it->tick(time.getDeltaTime() * this->timeFactor_);
 
-        for (Iterator<TimerBase> it = ObjectList<TimerBase>::start(); it; ++it)
+        for (ObjectList<TimerBase>::iterator it = ObjectList<TimerBase>::begin(); it; ++it)
             it->tick(time);
     }
@@ -129,8 +132,8 @@
         float change = factor / this->timeFactor_;
         this->timeFactor_ = factor;
-        for (Iterator<ParticleInterface> it = ObjectList<ParticleInterface>::begin(); it; ++it)
+        for (ObjectList<ParticleInterface>::iterator it = ObjectList<ParticleInterface>::begin(); it; ++it)
             it->setSpeedFactor(it->getSpeedFactor() * change);
 
-        for (Iterator<Backlight> it = ObjectList<Backlight>::begin(); it; ++it)
+        for (ObjectList<Backlight>::iterator it = ObjectList<Backlight>::begin(); it; ++it)
             it->setTimeFactor(timeFactor_);
     }
Index: code/trunk/src/orxonox/gamestates/GSRoot.cc
===================================================================
--- code/branches/gui/src/orxonox/gamestates/GSRoot.cc	(revision 1724)
+++ code/trunk/src/orxonox/gamestates/GSRoot.cc	(revision 1755)
@@ -40,5 +40,5 @@
 #include "core/ConsoleCommand.h"
 #include "core/CommandLine.h"
-#include "core/Debug.h"
+#include "util/Debug.h"
 #include "core/Exception.h"
 #include "core/TclBind.h"
@@ -95,7 +95,7 @@
     {
 #if ORXONOX_DEBUG_MODE == 1
-        ConfigFileManager::getSingleton()->setFile(CFT_Settings, "orxonox_d.ini");
+        ConfigFileManager::getInstance()->setFile(CFT_Settings, "orxonox_d.ini");
 #else
-        ConfigFileManager::getSingleton()->setFile(CFT_Settings, "orxonox.ini");
+        ConfigFileManager::getInstance()->setFile(CFT_Settings, "orxonox.ini");
 #endif
 
Index: code/trunk/src/orxonox/gamestates/GSServer.cc
===================================================================
--- code/branches/gui/src/orxonox/gamestates/GSServer.cc	(revision 1724)
+++ code/trunk/src/orxonox/gamestates/GSServer.cc	(revision 1755)
@@ -57,5 +57,6 @@
 
         int serverPort = CommandLine::getArgument<int>("port")->getValue();
-        this->server_ = network::Server::createSingleton(serverPort);
+        this->server_ = new network::Server(serverPort);
+        COUT(0) << "Loading scene in server mode" << std::endl;
 
         this->loadLevel();
@@ -66,5 +67,5 @@
         FunctorMember<GSLevel>* functor = createFunctor(&GSLevel::setTimeFactor);
         functor->setObject(this);
-        CommandExecutor::addConsoleCommandShortcut(createConsoleCommand(functor, "setTimeFactor"));
+        CommandExecutor::addConsoleCommandShortcut(createConsoleCommand(functor, "setTimeFactor")).accessLevel(AccessLevel::Offline).defaultValue(0, 1.0);;
 
         // level is loaded: we can start capturing the input
@@ -81,5 +82,5 @@
 
         this->server_->close();
-        // TODO: destroy server
+        delete this->server_;
 
         GSLevel::leave();
Index: code/trunk/src/orxonox/gamestates/GSStandalone.cc
===================================================================
--- code/branches/gui/src/orxonox/gamestates/GSStandalone.cc	(revision 1724)
+++ code/trunk/src/orxonox/gamestates/GSStandalone.cc	(revision 1755)
@@ -53,5 +53,5 @@
         FunctorMember<GSLevel>* functor = createFunctor(&GSLevel::setTimeFactor);
         functor->setObject(this);
-        CommandExecutor::addConsoleCommandShortcut(createConsoleCommand(functor, "setTimeFactor"));
+        CommandExecutor::addConsoleCommandShortcut(createConsoleCommand(functor, "setTimeFactor")).accessLevel(AccessLevel::Offline).defaultValue(0, 1.0);;
 
         // level is loaded: we can start capturing the input
